%define pypi_name yamllint

Name:       python-%{pypi_name}
Version:    1.32.0
Release:    %mkrel 2
Summary:    A linter for YAML files
Group:      Development/Python
License:    GPLv3
URL:        https://pypi.org/project/yamllint
Source0:    %pypi_source
BuildArch:  noarch

%description
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools 
BuildRequires:  python3-yaml
BuildRequires:  python3-pathspec
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test 

%files -n python3-%{pypi_name}
%{_bindir}/yamllint
%{python3_sitelib}/yamllint
%{python3_sitelib}/yamllint-%{version}-*.egg-info


%changelog
* Fri Jan 05 2024 bcornec <bcornec> 1.32.0-2.mga9
+ Revision: 2027785
- Remove useless subrel and bump mkrel
- Update to 1.32.0 to fix ansible-lint install

* Sat Apr 23 2022 guillomovitch <guillomovitch> 1.26.3-1.mga9
+ Revision: 1852907
- imported package python-yamllint

